Subject: bug#35629: 27.0.50; version-to-list fails on Cygwin gpg2 version string

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 26 Aug 2019 08:04:11 +0200

Kazuhiro Ito <[email-masked]> writes:

> Modifying version-regexp-alist variable resolves the issue.
>
> ;; I don't know meaning of "-unknown" version, so I don't know whether
> ;; "-4" is apropriate value.
> (progn (add-to-list 'version-regexp-alist
> 		    '("^[-._+ ]?unknown$" . -4))
>        (epg-find-configuration 'OpenPGP t))
> -> ((program . "/usr/bin/gpg2")

I've now done something similar, but only in `epg-find-configuration',
because this seems to be a problem in the gpg2 config scripts.

Could you test the trunk now and see whether it fixes your problem?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no